package com.sensor.iot.api.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * SensorIotApiProperties
 *
 * @author Frank
 */
@Data
@ConfigurationProperties(prefix = "sensor.iot.api")
public class SensorIotApiProperties {

    private String baseUrl;

    private String clientId;

    private String clientSecret;

    private Integer timeout = 45;

}
