package com.sensor.iot.api.model;

import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * DeviceReq
 *
 * @author Frank
 */
@Data
@Builder
public class DeviceReq implements Serializable {
    private static final long serialVersionUID = 8506218807938039299L;

    private String deviceId;

    private String name;

    private String productId;

    private String sn;

    private String imei;

    private String imsi;

    private String psk;

    private String authCode;

    private BigDecimal latitude;

    private BigDecimal longitude;

    private String address;

    private String remark;

    @Builder.Default
    private Boolean useImeiKey = Boolean.FALSE;

}
