package com.sensor.iot.api.model;

import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * ReadPropReq
 *
 * @author Frank
 */
@Data
@Builder
public class ReadPropReq implements Serializable {
    private static final long serialVersionUID = -8333382330355891635L;

    private String deviceId;

    private String productId;

    @Builder.Default
    private List<String> properties = new ArrayList<>();

}
