package com.sensor.iot.api.model;

import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * TslHistoryQuery
 *
 * @author Frank
 */
@Data
@Builder
@EqualsAndHashCode(callSuper = true)
public class TslHistoryQuery extends BaseModel implements Serializable {
    private static final long serialVersionUID = -8763321005404354719L;

    private String deviceId;

    private String identity;

    private Long startTime;

    private Long endTime;

    @Builder.Default
    private Integer pageNum = 1;

    @Builder.Default
    private Integer pageSize = 20;

}
