package com.sensor.iot.api.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * ClientToken
 *
 * @author Frank
 */
@Data
public class ClientToken implements Serializable {
    private static final long serialVersionUID = 6591502531103502486L;

    @JsonProperty("client_token")
    private String clientToken;

    @JsonProperty("expires_in")
    private Long expiresIn;

    @JsonProperty("client_id")
    private String clientId;

    private String scope;

}
