package com.sensor.iot.api.model;

import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * SendMsgReq
 *
 * @author Frank
 */
@Data
@Builder
public class SendMsgReq implements Serializable {
    private static final long serialVersionUID = -6375029102774603491L;

    private String deviceId;

    private String productId;

    private Map<String, Object> data;

}
