package com.sensor.iot.api.model;

import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * WritePropReq
 *
 * @author Frank
 */
@Data
@Builder
public class WritePropReq implements Serializable {
    private static final long serialVersionUID = -1143008131983003805L;

    private String deviceId;

    private String productId;

    private Map<String, Object> properties;

}
